import { IgrHorizontalRangeCategorySeries } from "./igr-horizontal-range-category-series";
import { RangeAreaSeries } from "./RangeAreaSeries";
/**
 * Represents a IgxDataChartComponent range area series.
*/
export class IgrRangeAreaSeries extends IgrHorizontalRangeCategorySeries {
    createImplementation() {
        return new RangeAreaSeries();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets whether the current series shows an area or line shape.
    */
    get isAreaOrLine() {
        return this.i.cj;
    }
}
